//
//  ANImageHelper-Bevel.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 02.01.12.
//  Copyright 2012 AvisNocturna Software. All rights reserved.
//

#import "ANImageHelper.h"
#import "ANBevelNormalInlineFunc.h"

@interface ANImageHelper (Bevel)

+ (void) applyBevelInContext:(CGContextRef)context 
                   withBytes:(unsigned char*)bytes 
                andHeightmap:(float*)heightmap 
   withLargestHeightmapValue:(float)largestValue 
                     andMask:(CGImageRef)mask 
                   andRadius:(float)radius 
               andLightAngle:(float)lightAngle 
                   andZAngle:(float)zAngle 
                andBevelType:(ANBevelType)type
               andLightColor:(id)lightColor
              andShadowColor:(id)shadowColor
             andSmoothFactor:(float)smoothFactor
             andIsInnerBevel:(BOOL)innerBevel;

@end
