//
//  LCRadialColorReplaceGradientFilter.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 6.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import "LCBaseFilter.h"

@class LCGradient;

@interface LCRadialColorReplaceGradientFilter : LCBaseFilter
{
    LCGradient *gradient;
    
    float startRadiusDelta;
    float endRadiusDelta;
    float startCenterXDelta;
    float startCenterYDelta;
    float endCenterXDelta;
    float endCenterYDelta;
}

@property (retain) LCGradient *gradient;

@property (assign) float startRadiusDelta;
@property (assign) float endRadiusDelta;
@property (assign) float startCenterXDelta;
@property (assign) float startCenterYDelta;
@property (assign) float endCenterXDelta;
@property (assign) float endCenterYDelta;

@end
