//
//  LCCanvasBaseLayer.h
//  LogoistCore
//
//  Created by Mendel Kucharzeck on 15.12.11.
//  Copyright 2011 AvisNocturna Software. All rights reserved.
//

@class LCCanvasRootLayer;

@interface LCCanvasBaseLayer : CALayer
{
    LCCanvasRootLayer *canvasRootLayer;
}

@property (assign) LCCanvasRootLayer *canvasRootLayer;      //Automatically sets the delegate to canvasRootLayer, too

//For Subclassers
- (void) contentsScaleFactorWillChangeTo:(float)newContentsScaleFactor; //Default is to redisplay the layer

@end
